generateParticipantAccessToken
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/meetings/webrtc/rooms/generateParticipantAccessToken \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"meetingId": "me_active12345",
"sessionId": "session_host_live"
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/meetings/webrtc/rooms/generateParticipantAccessToken"
payload = { "args": {
"meetingId": "me_active12345",
"sessionId": "session_host_live"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({args: {meetingId: 'me_active12345', sessionId: 'session_host_live'}})
};
fetch('https://connvo-dev.convex.cloud/api/run/meetings/webrtc/rooms/generateParticipantAccessToken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": {
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.participant-token",
"provider": "webrtc",
"roomId": "room_live_9f3c2a",
"participantId": "session_host_live",
"permissions": {
"canRecord": true,
"canMute": true,
"canKick": true,
"canShare": true
},
"success": true
}
}{}{}Meetings
generateParticipantAccessToken
Calls a action at the path meetings/webrtc/rooms.js:generateParticipantAccessToken
POST
/
api
/
run
/
meetings
/
webrtc
/
rooms
/
generateParticipantAccessToken
generateParticipantAccessToken
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I